Bug 787977 - Review Request: ghc-data-reify - converts recursive data structures into graphs
Review Request: ghc-data-reify - converts recursive data structures into graphs
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Narasimhan
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-07 02:01 EST by Shakthi Kannan
Modified: 2012-04-21 23:39 EDT (History)
4 users (show)

See Also:
Fixed In Version: ghc-data-reify-0.6-1.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-14 00:34:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
lakshminaras2002: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Shakthi Kannan 2012-02-07 02:01:11 EST
Spec URL: http://shakthimaan.fedorapeople.org/SPECS/ghc-data-reify.spec
SRPM URL: http://shakthimaan.fedorapeople.org/SRPMS/ghc-data-reify-0.6-1.fc15.src.rpm
Description: ghc-data-reify converts recursive data structures into graphs.
Comment 1 Shakthi Kannan 2012-02-07 02:03:24 EST
$  rpmlint ghc-data-reify.spec
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

$  rpmlint ghc-data-reify-0.6-1.fc15.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

$  rpmlint ghc-data-reify-0.6-1.fc15.x86_64.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

$  rpmlint ghc-data-reify-devel-0.6-1.fc15.x86_64.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

Successful Koji builds for F15, F16, and F17:
http://koji.fedoraproject.org/koji/taskinfo?taskID=3768047
http://koji.fedoraproject.org/koji/taskinfo?taskID=3768050
http://koji.fedoraproject.org/koji/taskinfo?taskID=3768053
Comment 3 Narasimhan 2012-04-06 03:18:59 EDT
[+]MUST: rpmlint must be run on every package. The output should be posted in the review.

rpmlint  -i ghc-data-reify-0.6-1.fc15.x86_64.rpm  ghc-data-reify-0.6-1.fc15.src.rpm ghc-data-reify-devel-0.6-1.fc15.x86_64.rpm ../ghc-data-reify.spec 
3 packages and 1 specfiles checked; 0 errors, 0 warnings.

[+]MUST: The package must be named according to the Package Naming Guidelines.
[+]MUST: The spec file name must match the base package %{name}, in the format %{name}.spec
[+]MUST: The package must meet the Packaging Guidelines.
        Naming-Yes
        Version-release - Matches
        No prebuilt external bits - OK
        Spec legibity - OK
        Package template - OK
        Arch support - OK
        Libexecdir - OK
        rpmlint - yes
        changelogs - OK
        Source url tag  - OK, validated.
        Build Requires list - OK
        Summary and description - OK
        API documentation - OK

[+]MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines.
BSD 3 clause.
[+]MUST: The License field in the package spec file must match the actual license.
[+]MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
LICENSE file is included.
[+]MUST: The spec file must be written in American English.
[+]MUST: The spec file for the package MUST be legible.
[+]MUST: The sources used to build the package must match the upstream source,as provided in the spec URL. Reviewers should use md5sum for this task.
md5sum data-reify-0.6.tar.gz 
25f0c927f53bc068da8a261d78b771fd  data-reify-0.6.tar.gz

d5sum ghc-data-reify-0.6-1.fc15.src/data-reify-0.6.tar.gz 
25f0c927f53bc068da8a261d78b771fd  ghc-data-reify-0.6-1.fc15.src/data-reify-0.6.tar.gz

[+]MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
Built on x86_64
[+]MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch.
[+]MUST: All build dependencies must be listed in BuildRequires.
[+]MUST: Packages must NOT bundle copies of system libraries.
Tested with rpmquery --list
[NA]MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review.
[+]MUST: A package must own all directories that it creates.
Tested with rpmquery --whatprovides.
[+]MUST: A Fedora package must not list a file more than once in the spec file's %files listings.
[+]MUST: Permissions on files must be set properly.
Tested with ls -lR
[+]MUST: Each package must consistently use macros.
[+]MUST: The package must contain code, or permissible content.
[+]MUST: Large documentation files must go in a -doc subpackage.
[+]MUST: If a package includes something as %doc, it must not affect the runtime of the application.
[+]MUST: devel packages must require the base package using a fully versioned dependency: Requires: {name} = %{version}-%{release}
rpm -e ghc-data-reify
error: Failed dependencies:
	ghc(data-reify-0.6) = 21f1f824f31e07d5e843d78f7732664c is needed by (installed) ghc-data-reify-devel-0.6-1.fc15.x86_64
	ghc-data-reify = 0.6-1.fc15 is needed by (installed) ghc-data-reify-devel-0.6-1.fc15.x86_64

[NA]MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section
[+]MUST: Packages must not own files or directories already owned by other packages.
Checked with rpmquery --list and rpmquery --whatprovides.
[+]MUST: All filenames in rpm packages must be valid UTF-8.

Should items
[+]SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
[+]SHOULD: The reviewer should test that the package functions as described.
Installed the packages. Loaded Data.Reify.Graph into ghci.
[+]SHOULD: If scriptlets are used, those scriptlets must be sane.

cabal2spec-diff is OK.

APPROVED.
Comment 4 Narasimhan 2012-04-06 03:20:05 EDT
Hi Shakthi,
"The" in common_summary can be removed.
Comment 5 Shakthi Kannan 2012-04-08 10:19:47 EDT
New Package SCM Request
=======================
Package Name: ghc-data-reify
Short Description: Converts recursive data structures into graphs
Owners: shakthimaan
Branches: f15 f16 f17
InitialCC: haskell-sig
Comment 6 Jon Ciesla 2012-04-09 08:22:33 EDT
Git done (by process-git-requests).
Comment 7 Fedora Update System 2012-04-10 03:17:44 EDT
ghc-data-reify-0.6-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/ghc-data-reify-0.6-1.fc16
Comment 8 Fedora Update System 2012-04-10 03:18:15 EDT
ghc-data-reify-0.6-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/ghc-data-reify-0.6-1.fc17
Comment 9 Fedora Update System 2012-04-10 03:18:23 EDT
ghc-data-reify-0.6-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/ghc-data-reify-0.6-1.fc15
Comment 10 Fedora Update System 2012-04-10 16:13:52 EDT
ghc-data-reify-0.6-1.fc17 has been pushed to the Fedora 17 testing repository.
Comment 11 Fedora Update System 2012-04-14 00:34:41 EDT
ghc-data-reify-0.6-1.fc17 has been pushed to the Fedora 17 stable repository.
Comment 12 Fedora Update System 2012-04-21 23:27:24 EDT
ghc-data-reify-0.6-1.fc15 has been pushed to the Fedora 15 stable repository.
Comment 13 Fedora Update System 2012-04-21 23:39:50 EDT
ghc-data-reify-0.6-1.fc16 has been pushed to the Fedora 16 stable repository.

Note You need to log in before you can comment on or make changes to this bug.